'--message.vbs 
 '-- This script requires the file C:\rose.bmp.
 '-- This script demonstrates the use of the Popup Function.
 '-- When MakePopup is used all drawing operations switch to the
 '-- popup window instead of the Desktop. Also, all calls to SetCanvas
 '-- will Set a new drawing area in relation to the popup window coordinates.
 '-- Once the window is displayed or CancelPopup is used, the drawing area
 '-- reverts to the Desktop.
 '-- Setting up a window is fairly involved but it can be pre-written into a Sub.
 '-- Also, a premade picture can be used by painting it onto the window and
 '-- defining hotspots.
 
Dim Draw, Resp, w, h, boo
    Set Draw = WScript.CreateObject("JSDraw.Ops")
  
     '-- Call MakePopup to Set up a window 300 x 200 at center screen.
     '-- All drawing will Then happen on the window (Not yet displayed).
     '-- MaxShowTime is Set to one minute (60 seconds). 120 seconds is the default.
     
   boo = Draw.GetDesktopSize(w, h)
   Draw.MakePopup ((w \ 2) - 150), ((h \ 2) - 100), 300, 200
   Draw.MaxShowTime = 60 
   Draw.Font = "Arial"
   
     '--fill the window with dark green and put rose picture in upper left.
     '-- also, outline window with lighter green:
     
   Draw.Fill "006C00"
   Draw.Picture "C:\rose.bmp", 20, 20
   Draw.Rectangle 0, 0, 300, 200, 3, "00CA00", False
   
    '--reset canvas to Draw text Next to rose:
   
   Draw.SetCanvas 80, 40, 200, 50
   Draw.Text "Please click a button" & vbCrLf  & "in this message box.", 8, 18, "FFFFFF", "", True
   
   '--reset canvas to Draw YES button. First, define that rectangle as hotspot #1.
   '-- Then fill it with a slightly different green, outline it and write "Yes" text:

   Draw.SetCanvas 80, 140, 50, 30
   Draw.SetHotSpot 80, 140, 50, 30, 1
   Draw.Fill "008000"
   Draw.Line 0, 0, 0, 31, 1, "00CA00"   '--light highlight on left and top of button.
   Draw.Line 0, 0, 49, 0, 1, "00CA00"   '--    "        "              "             "
   Draw.Line 0, 50, 50, 34, 1, "003000"   '--light highlight on left and top of button.
   Draw.Line 50, 0, 50, 34, 1, "003000"   '--    "        "              "             "
   Draw.SetCanvas 80, 146, 50, 20
   Draw.Text "Yes", 8, 16, "FFFFFF", "", True
   
  '-- Do the same For the "No" button:
   
   Draw.SetCanvas 170, 140, 50, 30
   Draw.SetHotSpot 170, 140, 50, 30, 2
   Draw.Fill "008000"
   Draw.Line 0, 0, 0, 31, 1, "00CA00"
   Draw.Line 0, 0, 49, 0, 1, "00CA00"
   Draw.Line 0, 50, 50, 34, 1, "003000"   '--light highlight on left and top of button.
   Draw.Line 50, 0, 50, 34, 1, "003000"   '--    "
   Draw.SetCanvas 170, 146, 50, 20
   Draw.Text "No", 8, 16, "FFFFFF", "", True
   
  '--window is now ready to show. By using 0 as the Popup parameter
  '-- the window will display Until a hotspot is clicked or MaxShowTime has elapsed.
  '-- If Nothing is clicked return will be 0. If yes is clicked return will be 1.
  '-- If No is clicked return will be 2.

  Resp = Draw.Popup(0)
  MsgBox Resp
  
Set Draw = Nothing

 
